Bug 151473 - Kernel does not show 'acl' aption in /proc/mounts
Summary: Kernel does not show 'acl' aption in /proc/mounts
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-18 12:25 UTC by Milan Kerslager
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 10:04:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milan Kerslager 2005-03-18 12:25:39 UTC
When (re)mounting a FS with 'acl' option, this is not showed up in /proc/mounts.
As ACL does not work when a FS is mounted without this option, this could be
worth to publish this information though /proc/mounts the same way as other
mount options.

Comment 2 Stephen Tweedie 2005-04-22 10:04:52 UTC
That's how it's expected to work.  The kernel tracks _some_ of the flags in
/proc/mounts (specifically, those ones which are the same across all
filesystems); others are tracked in user space via /etc/mtab.  The mount(8)
binary assembles both of these to provide mount information.

eg.

  # mount
  /dev/hda6 on / type ext3 (rw)
  # mount -o remount,acl /
  # mount
  /dev/hda6 on / type ext3 (rw,acl)
  # mount -o remount,noacl /
  # mount
  /dev/hda6 on / type ext3 (rw,noacl)
  #

That has been the defined behaviour for ages; if you want to see all the
information, call mount(8) directly, don't just parse /proc/mounts.



Note You need to log in before you can comment on or make changes to this bug.